{
    attributes = (
        {
            columnName = EELT_CODE; 
            externalType = VARCHAR2; 
            name = eeltCode; 
            valueClassName = NSString; 
            width = 6; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IDIPL_NUMERO; 
            externalType = NUMBER; 
            name = idiplNumero; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IEREL_ABSENCE; 
            externalType = NUMBER; 
            name = ierelAbsence; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IEREL_DISPENSE; 
            externalType = NUMBER; 
            name = ierelDispense; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IEREL_ETAT; 
            externalType = NUMBER; 
            name = ierelEtat; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IEREL_MOYENNE; 
            externalType = NUMBER; 
            name = ierelMoyenne; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = IEREL_SEMESTRE; 
            externalType = NUMBER; 
            name = ierelSemestre; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MEC_KEY; 
            externalType = NUMBER; 
            name = mecKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (idiplNumero, mecKey, eeltCode, ierelSemestre); 
    className = EOGenericRecord; 
    classProperties = (
        idiplNumero, 
        mecKey, 
        eeltCode, 
        ierelDispense, 
        ierelEtat, 
        ierelAbsence, 
        ierelMoyenne, 
        fannKey, 
        toScolFormationAnnee, 
        toScolInscriptionEtudiant, 
        toScolExamenRepartitionElt, 
        ierelSemestre
    ); 
    externalName = SCOL_INSCRIPTION_ELT; 
    fetchSpecificationDictionary = {}; 
    name = ScolInscriptionElt; 
    primaryKeyAttributes = (idiplNumero, mecKey, eeltCode, ierelSemestre); 
    relationships = (
        {
            destination = ScolExamenRepartitionElt; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = eeltCode; sourceAttribute = eeltCode; }, 
                {destinationAttribute = mecKey; sourceAttribute = mecKey; }
            ); 
            name = toScolExamenRepartitionElt; 
        }, 
        {
            destination = ScolFormationAnnee; 
            internalInfo = {_nameInObjectStore = scolFormationAnnee; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolInscriptionEtudiant; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = fannKey; sourceAttribute = fannKey; }, 
                {destinationAttribute = idiplNumero; sourceAttribute = idiplNumero; }
            ); 
            name = toScolInscriptionEtudiant; 
        }
    ); 
}
